org.appng.core.model

## Enum RepositoryType

- java.lang.Object
- - java.lang.Enum<RepositoryType>
  - - org.appng.core.model.RepositoryType

- All Implemented Interfaces:
    Serializable, Comparable<RepositoryType>

      public enum RepositoryType
      extends Enum<RepositoryType>

  Possible types of a `Repository`.
  Author:
    Matthias Herlitzius
  See Also:
    `RepositoryScheme`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `LOCAL` local, meaning `PackageArchive`s are retrieved from the local filesystem
    `REMOTE` remote, meaning `PackageArchive`s are retrieved from a remote machine

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RepositoryType` | `getDefault()`
    `static RepositoryType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static RepositoryType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LOCAL

          public static final RepositoryType LOCAL

      local, meaning `PackageArchive`s are retrieved from the local filesystem

    - #### REMOTE

          public static final RepositoryType REMOTE

      remote, meaning `PackageArchive`s are retrieved from a remote machine

  - ### Method Detail

    - #### values

          public static RepositoryType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RepositoryType c : RepositoryType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RepositoryType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getDefault

          public static RepositoryType getDefault()

Copyright © 2011–2023 aiticon GmbH. All rights reserved.